[Unit]
Description=The nginx HTTP and reverse proxy server
After=syslog.target network.target remote-fs.target nss-lookup.target
BindsTo=in4_netns@%i.service
After=in4_netns@%i.service
JoinsNamespaceOf=in4_netns@%i.service

[Service]
PrivateNetwork=yes
PrivateTmp=yes
Restart = always

PIDFile=/media/storage/namespace/%i/flow/ops/services/nginx/nginx.pid
WorkingDirectory=/media/storage/namespace/%i/flow/ops/services/nginx
ExecStartPre=/usr/sbin/nginx -t -c /media/sysdata/in4/context/_me/landscape/services--c/server--o/http--f/nginx/%i/_server -p /media/storage/namespace/%i/flow/ops/services/nginx -g "daemon off; pid /media/storage/namespace/%i/flow/ops/services/nginx/nginx.pid; error_log _logs/nginx.error.log; "
ExecStart=/usr/sbin/nginx -c /media/sysdata/in4/context/_me/landscape/services--c/server--o/http--f/nginx/%i/_server -p /media/storage/namespace/%i/flow/ops/services/nginx -g "daemon off; pid /media/storage/namespace/%i/flow/ops/services/nginx/nginx.pid; error_log _logs/nginx.error.log;"
ExecReload=/bin/kill -s HUP $MAINPID
ExecStop=/bin/kill -s QUIT $MAINPID
KillSignal=SIGQUIT
TimeoutStopSec=5
KillMode=mixed

User=%i
Group=%i

[Install]
WantedBy=multi-user.target
